routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\authController;
use Laravel\Socialite\Facades\Socialite;
use App\Http\Controllers\depanController;
use App\Http\Controllers\skillController;
use App\Http\Controllers\halamanController;
use App\Http\Controllers\profileController;
use App\Http\Controllers\educationController;
use App\Http\Controllers\experienceController;
use App\Http\Controllers\pengaturanHalController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/',[depanController::class,"index"]);

Route::redirect('home', 'dashboard');
Route::get('/auth', [authController::class, "index"])->name('login');
Route::get('/auth/redirect', [authController::class, "redirect"])->middleware('guest');
Route::get('/auth/callback', [authController::class, "callback"])->middleware('guest');
Route::get('/auth/logout', [authController::class, "logout"]);




Route::prefix('dashboard')->middleware('auth')->group(
    function() {
        Route::get('/', function() {
            return view('dashboard.layout');
        });
        Route::get('/', [halamanController::class, 'index']);
        Route::resource('halaman',halamanController::class);
        Route::resource('experience',experienceController::class);
        Route::resource('education',educationController::class);
        Route::get('skill', [skillController::class, "index"])->name('skill.index');
        Route::post('skill', [skillController::class, "update"])->name('skill.update');
        Route::get('profile', [profileController::class, "index"])->name('profile.index');
        Route::post('profile', [profileController::class, "update"])->name('profile.update');
        Route::get('pengaturanhal', [pengaturanHalController::class, "index"])->name('pengaturanhal.index');
        Route::post('pengaturanhal', [pengaturanHalController::class, "update"])->name('pengaturanhal.update');
    }
);

app/Models/halaman.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class halaman extends Model
{
    use HasFactory;
    protected $table = "halaman";
    protected $fillable = ['judul','isi'];
}

app/Http/Controllers/halamanController.php
<?php

namespace App\Http\Controllers;

use App\Models\halaman;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class halamanController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = halaman::orderBy('judul','asc')->get();
        return view('dashboard.halaman.index')->with('data', $data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('dashboard.halaman.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        Session::flash('judul', $request->judul);
        Session::flash('isi', $request->isi);

        $request ->validate(
                [
                'judul' => 'required',
                'isi' => 'required',
                ],
                [
                'judul.required' => 'Judul wajib diisi',
                'isi.required' => 'Isian wajib diisi  ',
                ]

            );
        
        $data= [
            'judul' => $request->judul,
            'isi' => $request->isi,
        ];
        halaman::create($data);

        return redirect()->route('halaman.index')->with('success', 'Berhasil menambahkan data');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data = halaman::where('id',$id)->first();
        return view('dashboard.halaman.edit')->with('data',$data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
    
        $request ->validate(
                [
                'judul' => 'required',
                'isi' => 'required',
                ],
                [
                'judul.required' => 'Judul wajib diisi',
                'isi.required' => 'Isian wajib diisi  ',
                ]

            );
        
        $data= [
            'judul' => $request->judul,
            'isi' => $request->isi,
        ];
        halaman::where('id',$id)->update($data);

        return redirect()->route('halaman.index')->with('success', 'Berhasil Melakukan update data');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        halaman::where('id',$id)->delete();
        return redirect()->route('halaman.index')->with('success', 'Berhasil delete data');
    }
}

resources/views/dashboard/halaman/create.blade.php
@extends('dashboard.layout')

@section('konten')
    <p class="card-title">Create Halaman</p>
    <div class="pd-3 mb-3"><a href="{{ route('halaman.index') }}" class="btn btn-secondary">kembali</a> </div>
    <div class="table-responsive">
    <form action="{{ route ('halaman.store') }}" method="POST">
        @csrf
        <div class="mb-3">
          <label for="judul" class="form-label">Judul</label>
          <input type="input"
              class="form-control form-control-sm" name="judul" id="judul" aria-describedby="helpId" placeholder="Judul" value="{{ Session::get('judul') }}" >
        </div>
        <div class="mb-3 ">

            <label for="isi" class="form-label">Isi</label>
            <textarea class="form-control summernote " rows="5" name="isi" id="isi" >{{ Session::get('isi') }}</textarea>
          </div>

    

          <button class="btn btn-primary" name="simpan" type="submit">SIMPAN</button>
        
    
    
    </form>

    </div>
@endsection

resources/views/dashboard/halaman/edit.blade.php
@extends('dashboard.layout')

@section('konten')
    <p class="card-title">Edit Halaman</p>
    <div class="pd-3 mb-3"><a href="{{ route('halaman.index') }}" class="btn btn-secondary">kembali</a> </div>
    <div class="table-responsive">
    <form action="{{ route ('halaman.update',$data->id) }}" method="POST">
        @csrf
        @method('put')
        <div class="mb-3">
          <label for="judul" class="form-label">Judul</label>
          <input type="input"
              class="form-control form-control-sm" name="judul" id="judul" aria-describedby="helpId" placeholder="Judul" value="{{ $data->judul }}" >
        </div>
        <div class="mb-3 ">

            <label for="isi" class="form-label">Isi</label>
            <textarea class="form-control summernote " rows="5" name="isi" id="isi" >{{ $data->isi }}</textarea>
          </div>

    

          <button class="btn btn-primary" name="simpan" type="submit">SIMPAN</button>
        
    
    
    </form>

    </div>
@endsection

resources/views/dashboard/halaman/index.blade.php
@extends('dashboard.layout')

@section('konten')
    <p class="card-title">Halaman</p>
    <div class="pd-3"><a href="{{ route('halaman.create') }}" class="btn btn-primary">+ Tambah</a> </div>
    <div class="table-responsive">
        <table class="table table-srtipped">
            <thead>
                <tr>
                    <th class="col-1">No</th>
                    <th class="col-2">Judul</th>
                    <th class="col-1">Aksi</th>
                </tr>
            </thead>
            <tbody>
                
                <?php $i =1; ?>
                @foreach ($data as $item)
                <tr>
                    <td>{{ $i++ }}</td>
                    <td>{{ $item->judul }}</td>
                    <td>
                        <a href="{{ route('halaman.edit', $item->id)}}" class="btn btn-sm btn-warning">Edit</a>
                        <form onsubmit="return confirm('apakah akan di hapus ?')" action="{{ route('halaman.destroy', $item->id)}}" method="POST" class="d-inline">
                        @csrf
                        @method('DELETE')
                        <button class="btn btn-sm btn-danger" type="submit" name="submit">Del</button>
                        </form>
                    </td>
                </tr>
                @endforeach
                
            </tbody>
        </table>

    </div>
@endsection